using UnityEngine;
using System.Collections;

public class Compass : MonoBehaviour {

    MapManager man;

    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (man == null)
        {
            man = GameObject.Find("MapManager").GetComponent<MapManager>();
        }
        else
        {
            transform.rotation = Quaternion.Euler(0, 0, -man.lookDirection);
        }

    }
}
